Name:           python-tinycss
Version:        0.3
Release:        1%{?dist}
Group:          Applications/File
Summary:        CSS parser for Python
License:        BSD
URL:            http://pythonhosted.org/tinycss/
Source0:        https://github.com/SimonSapin/tinycss/archive/v%{version}.tar.gz

BuildRequires:  python2-devel python-setuptools Cython dos2unix

# Do not check .so files in the python_sitelib directory
# or any files in the application's directory for provides
%global __provides_exclude_from ^(%{python_sitearch}/.*\\.so|%{_datadir}/myapp/.*)$

%description
tinycss is a complete yet simple CSS parser for Python. It supports
the full syntax and error handling for CSS 2.1 as well as some CSS 3
modules. It is designed to be easy to extend for new CSS modules and
syntax, and integrates well with cssselect for Selectors 3 support.

%prep
%setup -q -n tinycss-%{version}
dos2unix LICENSE

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}

%files
%doc LICENSE README.rst
%{python_sitearch}/*

%changelog
* Sat Jul 20 2013 Eric Smith <brouhaha@fedoraproject.org> 0.3-1
- initial version
